-- Log Capture by MikuAuahDark

LogCapture={}
LogCapture.val={}
LogCapture.m=0
LogCapture.r=0

function LogCapture.Log(text)
	if LogCapture.m==1 then
		table.insert(LogCapture.val,text)
		return LogCapture.r
	end
end

setmetatable(LogCapture,{
	__call=function(_,command,keep_log)
		if not keep_log then
			LogCapture.r=1
		end
		LogCapture.m=1
		parse(command)
		LogCapture.m=0
		LogCapture.r=0
		local temp=LogCapture.val
		LogCapture.val={}
		return table.concat(temp,"\n")
	end
})

addhook("log","LogCapture.Log")